Bug 662257 - Review Request: php-pear-CodeGen-PECL - Tool to generate PECL extensions from an XML description
Summary: Review Request: php-pear-CodeGen-PECL - Tool to generate PECL extensions from...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 662255
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-11 02:25 UTC by Robert Scheck
Modified: 2011-03-13 18:54 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-03-09 03:07:21 UTC
fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2010-12-11 02:25:59 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen-PECL.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen-PECL-1.1.3-1.src.rpm
Description:
CodeGen_PECL (formerly known as PECL_Gen) is a pure PHP replacement for
the ext_skel shell script that comes with the PHP 4 source. It reads in
configuration options, function prototypes and code fragments from an
XML description file and then generates a complete ready-to-compile PECL
extension.

Comment 1 Robert Scheck 2010-12-11 19:29:22 UTC
http://fedoraproject.org/wiki/Packaging/PHP#PEAR_Modules will be honored with
this updated package - thanks to Remi for pointing out this.

Spec URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen-PECL.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen-PECL-1.1.3-2.src.rpm

Comment 2 Remi Collet 2011-02-24 07:50:54 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [!] Rpmlint output:
php-pear-CodeGen-PECL.spec: I: checking-url http://pear.php.net/get/CodeGen_PECL-1.1.3.tgz (timeout 10 seconds)
php-pear-CodeGen-PECL.src: I: checking
php-pear-CodeGen-PECL.src: W: spelling-error %description -l en_US skel -> skelp, seel, skol
php-pear-CodeGen-PECL.src: I: checking-url http://pear.php.net/package/CodeGen_PECL (timeout 10 seconds)
php-pear-CodeGen-PECL.src: I: checking-url http://pear.php.net/get/CodeGen_PECL-1.1.3.tgz (timeout 10 seconds)
php-pear-CodeGen-PECL.noarch: I: checking
php-pear-CodeGen-PECL.noarch: W: spelling-error %description -l en_US skel -> skelp, seel, skol
php-pear-CodeGen-PECL.noarch: I: checking-url http://pear.php.net/package/CodeGen_PECL (timeout 10 seconds)
php-pear-CodeGen-PECL.noarch: W: no-manual-page-for-binary pecl-gen
2 packages and 1 specfiles checked; 0 errors, 3 warnings.
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: PHP
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 6e5979ac00ec542f73f8e2d093c104bc  CodeGen_PECL-1.1.3.tgz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f14
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [-] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Final requires
/usr/bin/pear  
php-common >= 4.3
php-pear(CodeGen) >= 1.0.7
php-pear(PEAR)  
 [x] Final provides
php-pear(CodeGen_PECL) = 1.1.3
php-pear-CodeGen-PECL = 1.1.3-2.fc14
 [x] Latest version is packaged.
 [x] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: Koji 
	http://koji.fedoraproject.org/koji/taskinfo?taskID=2862959
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [x] Package functions as described.
	cd /usr/share/doc/php-pear-CodeGen-PECL-1.1.3/examples
	pecl-gen --dir=/tmp/syck syck.xml
	cd /tmp/syck, phpize; ./configure; make
 [x] If scriptlets are used, those scriptlets must be sane. 
	(un)register of the extension : ok
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [!] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] %check is present and the tests pass

SHOULD : 
- open an upstream bug to request LICENSE file to be included
- request upstream for a man-page

MUST
- according to "pci" result (and upstream), this package requires php 5.0.0
  but requiring php-common >= 5.0.0 doesn't seems usefull 
  (no older version exists in fedora or EL, and EL-4 has a too old pear version anyway)
	=> So, remove or raise the php-common requires.
- PEAR already required by php-pear(CodeGen)
	=> So, remove Requires: php-pear(PEAR)

Comment 4 Remi Collet 2011-02-24 08:31:45 UTC
All MUST fixed

========
APPROVED
========

Comment 5 Robert Scheck 2011-02-25 00:09:04 UTC
Remi, thank you for the review.


New Package SCM Request
=======================
Package Name: php-pear-CodeGen-PECL
Short Description: Tool to generate PECL extensions from an XML description
Owners: robert
Branches: el5 el6 f13 f14 f15
InitialCC:

Comment 6 Jason Tibbitts 2011-02-25 03:12:03 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-02-25 08:20:12 UTC
php-pear-CodeGen-PECL-1.1.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-PECL-1.1.3-3.fc15

Comment 8 Fedora Update System 2011-02-25 08:20:45 UTC
php-pear-CodeGen-PECL-1.1.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-PECL-1.1.3-3.fc14

Comment 9 Fedora Update System 2011-02-25 08:21:04 UTC
php-pear-CodeGen-PECL-1.1.3-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-PECL-1.1.3-3.fc13

Comment 10 Fedora Update System 2011-02-25 08:21:26 UTC
php-pear-CodeGen-PECL-1.1.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-PECL-1.1.3-3.el6

Comment 11 Fedora Update System 2011-02-25 08:24:20 UTC
php-pear-CodeGen-PECL-1.1.3-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-PECL-1.1.3-3.el5

Comment 12 Fedora Update System 2011-02-25 23:17:05 UTC
php-pear-CodeGen-PECL-1.1.3-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-CodeGen-PECL'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-pear-CodeGen-PECL-1.1.3-3.fc15

Comment 13 Fedora Update System 2011-03-09 03:07:15 UTC
php-pear-CodeGen-PECL-1.1.3-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-03-09 20:51:32 UTC
php-pear-CodeGen-PECL-1.1.3-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 15 Fedora Update System 2011-03-09 20:55:50 UTC
php-pear-CodeGen-PECL-1.1.3-3.fc13 has been pushed to the Fedora 13 stable repository.

Comment 16 Fedora Update System 2011-03-13 18:53:25 UTC
php-pear-CodeGen-PECL-1.1.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2011-03-13 18:54:11 UTC
php-pear-CodeGen-PECL-1.1.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.